## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname ffmpeg
%global projname %{modname}-python

# Tests require ffmpeg with MPEG4/H264 decoding abilities -
# disable them by default
%bcond_with tests

Name:           python-%{projname}
Version:        0.2.0
Release:        %autorelease
Summary:        Python bindings for FFmpeg - with complex filtering support

License:        Apache-2.0
URL:            https://github.com/kkroening/%{projname}
Source0:        %{url}/archive/%{version}/%{projname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  /usr/bin/ffmpeg
%endif

%global _description %{expand:
There are tons of Python FFmpeg wrappers out there but they seem to lack complex
filter support. ffmpeg-python works well for simple as well as complex signal
graphs.}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}
Requires:       /usr/bin/ffmpeg

%description -n python3-%{projname} %_description

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -t
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%tox
%else
%pyproject_check_import
%endif

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sat Jan 28 2023 Ondrej Mosnáček <omosnacek@gmail.com> 0.2.0-1
- Initial import (fedora#2161095)
